<template>
  <div class="signin">
    <section class="asd">

			<h3 class="title has-text-centered">Acessar sistemas internos</h3>

			<div class="columns is-mobile is-centered"> 
				<div class="column is-two-thirds">
					<div class="box">
						<div class="columns">

							<div class="column">
								<div class="form">
									<form>
										<b-field label="Siape ou matrícula">
											<b-input 
                        type="text" 
                        v-model="username" 
                        required 
                        pattern="[0-9]*" 
                        validation-message="Apenas números"
                        autofocus></b-input>
										</b-field>
										<b-field label="Senha">
											<b-input type="password" v-model="password" required password-reveal> </b-input>
										</b-field>
										<b-button type="is-success" @click.prevent="signIn" :disabled="isAvailable">Acessar</b-button>
									</form>
								</div>

							</div> <!-- column -->
							<div class="column">
									<h2 class="subtitle" style="">Como devo acessar?</h2>
									<p class="content">
										O servidor, seja ele, docente ou técnico administrativo
										deve acessar o sistema com as credenciais utilizadas para
										acessar os sistemas institucionais, ou seja, o servidor
										pode utilizar as mesmas credenciais que utiliza para acessar
										o Sistema Eletrônico de Informações, o SEI.
									</p>
									<h2 class="subtitle">Esqueci minha senha</h2>
									<p class="content">
										Caso o servidor tenha esquecido sua senha, acesse o SUAP
										<a href="https://suap.ifce.edu.br/comum/solicitar_trocar_senha/" target="_blank">aqui</a>
										e preencha o formulário de recuperação de senha.
									</p>
								</div> <!-- column -->

							</div> <!-- columns -->
						</div> <!-- box -->
					</div> <!-- column -->
				</div> <!-- columns -->

    <b-loading :is-full-page="true" :active.sync="isLoading" :can-cancel="false"></b-loading>
    </section>
    </div>
</template>

<script>
export default {
  name: 'SignIn',
  data: function ()  {
    return {
      username: '',
      password: '' 
    }
  },
  created () {},
  computed: {
    isLoading () {
      return this.$store.state.auth.loading
    },
    isAvailable () {
      return (this.username !== '' && this.password !== '') ? false : true 
    }
  },
  methods: {
    signIn: function () {
      var payload = {
        username: this.username,
        password: this.password,
        csrftoken: this.$cookies.get('csrftoken')
      }
      this.$store.dispatch('signIn', payload)
    }
  }
}
</script>

<style lang="css" scoped>
</style>

